using Decimation.Lib.Amulets.Synergy;
using Microsoft.Xna.Framework;
using Terraria;

namespace Decimation.Content.Synergies
{
    internal class GraniteAmuletSynergy : AmuletSynergyAdapter
    {
        public override void OnPlayerHit(DecimationPlayer modPlayer, ref int damages)
        {
            if (modPlayer.HasShield && Main.rand.NextBool(10))
            {
                damages = 0;
                CombatText.NewText(modPlayer.player.getRect(), Color.MediumPurple, "Blocked");
            }
        }
    }
}
